UbixOS V2 2.0

Macros | Functions
assert.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | __BEGIN_DECLS
#define | __END_DECLS
#define | _assert(e) assert(e)
#define | assert(e)

## Functions
void | __assert (const char *, const char *, int, const char *)
| The underlying assertion call which is wrapped by assert() More...

## Macro Definition Documentation

## ◆ __BEGIN_DECLS

#define __BEGIN_DECLS

Definition at line 46 of file assert.h.

## ◆ __END_DECLS

#define __END_DECLS

Definition at line 47 of file assert.h.

## ◆ _assert

#define _assert | ( |  | e | ) | assert(e)

Definition at line 62 of file assert.h.

## ◆ assert

#define assert | ( |  | e | ) |

Value:
((e) ? (void)0 : __assert(__func__, __FILE__, \
__LINE__, #e))

Definition at line 64 of file assert.h.

## Function Documentation

## ◆ __assert()

void __assert | ( | const char * | func,
|  | const char * | file,
|  | int | line,
|  | const char * | failedexpr
| ) |  |

The underlying assertion call which is wrapped by assert()

Definition at line 37 of file assert.c.

References K_PANIC, kprintf(), and NULL.

Here is the call graph for this function:
__func__
#define __func__
Definition: cdefs.h:409
__assert
void __assert(const char *, const char *, int, const char *)
The underlying assertion call which is wrapped by assert()
Definition: assert.c:37